Global - Get Deleted Web App Snapshots
Beskrivning för Hämta alla borttagna appar för en prenumeration.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/deletedSites/{deletedSiteId}/snapshots?api-version=2025-05-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
deleted
|
path | True |
string |
Det numeriska ID:t för den raderade appen, t.ex. 12345 |
|
subscription
|
path | True |
string (uuid) |
ID för målprenumerationen. Värdet måste vara ett UUID. |
|
api-version
|
query | True |
string minLength: 1 |
Den API-version som ska användas för den här åtgärden. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Snapshot[] |
Azure-åtgärden har slutförts. |
| Other Status Codes |
Ett oväntat felsvar. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
Get Deleted Web App Snapshots
Exempelbegäran
Exempelsvar
[
{
"name": "wussite6",
"type": "Microsoft.Web/locations/deletedSites",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg1/providers/Microsoft.Web/locations/West US 2/deletedwebapps/wussite6/snapshots/9",
"properties": {
"time": "2019-05-09T22:29:05.1337007"
}
}
]
Definitioner
| Name | Description |
|---|---|
|
Default |
App Service-felsvar. |
|
Default |
Felmodell. |
|
Default |
Detaljerade fel. |
| Snapshot |
En ögonblicksbild av en app. |
DefaultErrorResponse
App Service-felsvar.
| Name | Typ | Description |
|---|---|---|
| error |
Felmodell. |
DefaultErrorResponseError
Felmodell.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Standardiserad sträng för att programmatiskt identifiera felet. |
| details |
Detaljerade fel. |
|
| innererror |
string |
Mer information för att felsöka fel. |
| message |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
| target |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
DefaultErrorResponseErrorDetailsItem
Detaljerade fel.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Standardiserad sträng för att programmatiskt identifiera felet. |
| message |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
| target |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
Snapshot
En ögonblicksbild av en app.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Resurs-ID. |
| kind |
string |
Typ av resurs. |
| name |
string |
Resurs namn. |
| properties.time |
string |
Tiden då ögonblicksbilden togs. |
| type |
string |
Resurstyp. |